Subject: bug#29165: 26.0.90; can't use some code byte-compiled under emacs 24

From: Stefan Monnier <[email-masked]>
Date: Fri, 15 Dec 2017 08:54:52 -0500

> Why is this different from "… &optional ,@optargs” in a similar form, when
> optargs could have no elements?  Rejecting that was (part of) the point of
> Noam’s change (and the previous change for bug 24913).

It's not, and I also think rejecting it is generally unadvisable unless
it has a performance impact.

> I think I’ve already made my objection to that part plain, but it
> seems like rejecting an empty &optional and accepting an empty &aux
> would be inconsistent.

Inconsistency is part of life, tho.

        Stefan